Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.alarm
Class AlarmManager

    java.lang.Object
      org.jboss.monitor.alarm.AlarmManager

public class AlarmManager
extends Object

AlarmManager

Version:
  $Revision: 1.1.4.1 $
Author:
  Dimitris Andreadis

Field Summary
`protected MBeanImplAccess` | `mbeanImpl`

Constructor Summary
`AlarmManager(MBeanImplAccess mbeanImpl)` CTOR

Method Summary
`int` | `getSeverity(String type)` Gets the severity of an alarm, keyed by its type.
`String` | `getSeverityAsString(String type)` Gets the severity of an alarm, keyed by its type, as String
`void` | `sendAlarmNotification(String type, int alarmState, int severity, String message, Object userData)` Generates and sends an AlarmNotification.
`void` | `sendAlarmNotification(String type, int alarmState, int severity, String message, String key, Object value)` Generates and sends an AlarmNotification Essentially a helper method that will populate the userData field of the Notification with a HashMap, containing a single key/value pair.
`void` | `sendAttributeChangeNotification(String type, String message, Object userData, String attributeName, String attributeType, Object oldValue, Object newValue)` Generates and sends an AttributeChangeNotification.
`void` | `sendNotification(String type, String message, Object userData)` Generates and sends a simple Notification.
`void` | `setAlarm(String type, int severity, String message, Object userData)` Sets the alarm, keyed by its type, to a particular state.
`void` | `setAlarm(String type, int severity, String message, String key, Object value)` See set Alarm above Essentially a helper method that will populate the userData field of the Notification with a HashMap, containing a single key/value pair.
`void` | `setSeverity(String type, int severity)` Sets the severity of an Alarm, keyed by its type, without producing an AlarmNotification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mbeanImpl

    protected MBeanImplAccess mbeanImpl

Constructor Detail

### AlarmManager

    public AlarmManager(MBeanImplAccess mbeanImpl)

  CTOR

Method Detail

### setSeverity

    public void setSeverity(String type,
                            int severity)

  Sets the severity of an Alarm, keyed by its type, without producing an AlarmNotification

### getSeverity

    public int getSeverity(String type)

  Gets the severity of an alarm, keyed by its type.

### getSeverityAsString

    public String getSeverityAsString(String type)

  Gets the severity of an alarm, keyed by its type, as String

### setAlarm

    public void setAlarm(String type,
                         int severity,
                         String message,
                         Object userData)

  Sets the alarm, keyed by its type, to a particular state. If severity has changed an AlarmNotification will be thrown. The alarmState of the AlarmNotification will be either Alarm.STATE_CREATED, Alarm.STATE_CHANGED or Alarm.STATE_CLEARED.

### setAlarm

    public void setAlarm(String type,
                         int severity,
                         String message,
                         String key,
                         Object value)

  See set Alarm above Essentially a helper method that will populate the userData field of the Notification with a HashMap, containing a single key/value pair. Note, that an AlarmNotification will not be thrown if there is no severity change.

### sendAlarmNotification

    public void sendAlarmNotification(String type,
                                      int alarmState,
                                      int severity,
                                      String message,
                                      String key,
                                      Object value)

  Generates and sends an AlarmNotification Essentially a helper method that will populate the userData field of the Notification with a HashMap, containing a single key/value pair.

### sendAlarmNotification

    public void sendAlarmNotification(String type,
                                      int alarmState,
                                      int severity,
                                      String message,
                                      Object userData)

  Generates and sends an AlarmNotification. An alarmState of Alarm.STATE_CLEARED forces severity to SEVERITY_NORMAL source, sequenceNumber, timeStamp will be automatically filled.

### sendAttributeChangeNotification

    public void sendAttributeChangeNotification(String type,
                                                String message,
                                                Object userData,
                                                String attributeName,
                                                String attributeType,
                                                Object oldValue,
                                                Object newValue)

  Generates and sends an AttributeChangeNotification. source, sequenceNumber, timeStamp will be automatically filled in.

### sendNotification

    public void sendNotification(String type,
                                 String message,
                                 Object userData)

  Generates and sends a simple Notification. source, sequenceNumber, timeStamp will be automatically filled in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.